# PromotionRotation

> Which forms rotate on the published surface, and their A/B shares. Read access, forms toolset, MCP tool get_promotion_rotation.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

This operation takes no variables.

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"PromotionRotation","variables":{},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"5181f580301504147bff9ac49c65b486a856b17c8db940b376a534686d56ace2"}}}'
```

## Document

```graphql
query PromotionRotation { __typename allForms(first: 500) { __typename nodes { __typename abMain abShare formSlug id rowId status title } } }
```

Source: https://developer.missin.co.uk/reference/forms/promotion-rotation
